<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <script
        src="https://code.jquery.com/jquery-3.5.1.js"
        integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
        crossorigin="anonymous"></script> 
    <title>Forgot Password</title>
</head>
<body>
    <div style="width: 100%; height: 100vh; align-items: center;" class="container-fluid d-flex justify-content-center">
        <div class="card card-body" style="max-width: 320px;">
            <p class="card-title mx-auto">Recuperar contraseña</p>
                <form action="" method="POST" id="forgotForm">
                    <div class="form-group">
                        <label for="email">Email</label>
                        <input type="text" id="email" name="email" class="form-control">
                    </div>
                    <button type="submit"  class="btn-block btn btn-danger">Reiniciar</button>
                </form>
            <p class="text-warning pt-1" id="alertas"></p>
            <div class="alert alert-primary mt-3" role="alert" id="alertRequest" style="display: none;">
                Se ha enviado un mensaje a su correo con el codigo de verificación
            </div>
        </div>
    </div>
    <script>
        let email; 
        $("#forgotForm").on('submit', ()=> {
            email = $("#email").val()
            $.ajax({
                url:  'http://localhost:4000/api/auth/forgotPassword',
                method: 'POST', 
                data: {email: email},
                success: ()=> {
                    $("#alertRequest").css('display', 'inline')
                },
                statusCode: {
                    404: (error) => {
                         let causa = error.responseText.error; 
                         if(causa !== undefined){
                            $("#alertas").text("No se ha encontrado la dirección de correo electronico")
                         }
                    },
                    400: () => {
                        $("#alertas").text("He ocurrido un error intentelo despúes")
                    }
                }
            }) 
        })
    </script>
</body>
</html>